Start Run
curl --request POST \
--url https://api.duvo.ai/v2/teams/{teamId}/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"sandbox_id": "<string>",
"webhook_url": "<string>"
}
'import requests
url = "https://api.duvo.ai/v2/teams/{teamId}/runs"
payload = {
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"sandbox_id": "<string>",
"webhook_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
message: '<string>',
sandbox_id: '<string>',
webhook_url: '<string>'
})
};
fetch('https://api.duvo.ai/v2/teams/{teamId}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"build_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"source": "<string>",
"sandbox_id": "<string>",
"started_at": "<string>",
"completed_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"human_in_the_loop_enabled": true
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Runs
Start Run
Start a new agent run. Returns immediately with run info - does not wait for completion.
POST
/
v2
/
teams
/
{teamId}
/
runs
Start Run
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
Body
application/json
The agent ID to run
Optional initial message to start the run with (e.g. a trigger payload or user instruction)
Optional sandbox ID with pre-uploaded files
Webhook URL to POST events to (human_request, run_completed, run_failed, run_interrupted)
Response
Default Response
The newly created run
Show child attributes
Show child attributes
Was this page helpful?
⌘I